<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
<title>Working with TaDa data</title>
<!-- 2020-03-10 Tue 17:24 -->
<meta  http-equiv="Content-Type" content="text/html;charset=utf-8" />
<meta  name="generator" content="Org-mode" />
<meta  name="author" content="J. Roman Arguello" />
<meta  name="description" content="Details on the analyses for the IR population TaDa data"
 />
<style type="text/css">
 <!--/*--><![CDATA[/*><!--*/
  .title  { text-align: center; }
  .todo   { font-family: monospace; color: red; }
  .done   { color: green; }
  .tag    { background-color: #eee; font-family: monospace;
            padding: 2px; font-size: 80%; font-weight: normal; }
  .timestamp { color: #bebebe; }
  .timestamp-kwd { color: #5f9ea0; }
  .right  { margin-left: auto; margin-right: 0px;  text-align: right; }
  .left   { margin-left: 0px;  margin-right: auto; text-align: left; }
  .center { margin-left: auto; margin-right: auto; text-align: center; }
  .underline { text-decoration: underline; }
  #postamble p, #preamble p { font-size: 90%; margin: .2em; }
  p.verse { margin-left: 3%; }
  pre {
    border: 1px solid #ccc;
    box-shadow: 3px 3px 3px #eee;
    padding: 8pt;
    font-family: monospace;
    overflow: auto;
    margin: 1.2em;
  }
  pre.src {
    position: relative;
    overflow: visible;
    padding-top: 1.2em;
  }
  pre.src:before {
    display: none;
    position: absolute;
    background-color: white;
    top: -10px;
    right: 10px;
    padding: 3px;
    border: 1px solid black;
  }
  pre.src:hover:before { display: inline;}
  pre.src-sh:before    { content: 'sh'; }
  pre.src-bash:before  { content: 'sh'; }
  pre.src-emacs-lisp:before { content: 'Emacs Lisp'; }
  pre.src-R:before     { content: 'R'; }
  pre.src-perl:before  { content: 'Perl'; }
  pre.src-java:before  { content: 'Java'; }
  pre.src-sql:before   { content: 'SQL'; }

  table { border-collapse:collapse; }
  caption.t-above { caption-side: top; }
  caption.t-bottom { caption-side: bottom; }
  td, th { vertical-align:top;  }
  th.right  { text-align: center;  }
  th.left   { text-align: center;   }
  th.center { text-align: center; }
  td.right  { text-align: right;  }
  td.left   { text-align: left;   }
  td.center { text-align: center; }
  dt { font-weight: bold; }
  .footpara:nth-child(2) { display: inline; }
  .footpara { display: block; }
  .footdef  { margin-bottom: 1em; }
  .figure { padding: 1em; }
  .figure p { text-align: center; }
  .inlinetask {
    padding: 10px;
    border: 2px solid gray;
    margin: 10px;
    background: #ffffcc;
  }
  #org-div-home-and-up
   { text-align: right; font-size: 70%; white-space: nowrap; }
  textarea { overflow-x: auto; }
  .linenr { font-size: smaller }
  .code-highlighted { background-color: #ffff00; }
  .org-info-js_info-navigation { border-style: none; }
  #org-info-js_console-label
    { font-size: 10px; font-weight: bold; white-space: nowrap; }
  .org-info-js_search-highlight
    { background-color: #ffff00; color: #000000; font-weight: bold; }
  /*]]>*/-->
</style>
<script type="text/javascript">
/*
@licstart  The following is the entire license notice for the
JavaScript code in this tag.

Copyright (C) 2012-2013 Free Software Foundation, Inc.

The JavaScript code in this tag is free software: you can
redistribute it and/or modify it under the terms of the GNU
General Public License (GNU GPL) as published by the Free Software
Foundation, either version 3 of the License, or (at your option)
any later version.  The code is distributed WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE.  See the GNU GPL for more details.

As additional permission under GNU GPL version 3 section 7, you
may distribute non-source (e.g., minimized or compacted) forms of
that code without the copy of the GNU GPL normally required by
section 4, provided you include this license notice and a URL
through which recipients can access the Corresponding Source.


@licend  The above is the entire license notice
for the JavaScript code in this tag.
*/
<!--/*--><![CDATA[/*><!--*/
 function CodeHighlightOn(elem, id)
 {
   var target = document.getElementById(id);
   if(null != target) {
     elem.cacheClassElem = elem.className;
     elem.cacheClassTarget = target.className;
     target.className = "code-highlighted";
     elem.className   = "code-highlighted";
   }
 }
 function CodeHighlightOff(elem, id)
 {
   var target = document.getElementById(id);
   if(elem.cacheClassElem)
     elem.className = elem.cacheClassElem;
   if(elem.cacheClassTarget)
     target.className = elem.cacheClassTarget;
 }
/*]]>*///-->
</script>
</head>
<body>
<div id="content">
<h1 class="title">Working with TaDa data</h1>
<div id="table-of-contents">
<h2>Table of Contents</h2>
<div id="text-table-of-contents">
<ul>
<li><a href="#sec-1">1. <b>Intro</b></a></li>
<li><a href="#sec-2">2. <b>DamID pipeline</b></a>
<ul>
<li><a href="#sec-2-1">2.1. running the DamID pipeline</a></li>
<li><a href="#sec-2-2">2.2. Correlation among replicates</a></li>
<li><a href="#sec-2-3">2.3. Population-averaged occupancy score for each of the seven datasets</a></li>
<li><a href="#sec-2-4">2.4. FDR for occupancy scores using the polii.gene.call</a></li>
<li><a href="#sec-2-5">2.5. Further analsyes and plots</a></li>
</ul>
</li>
<li><a href="#sec-3">3. <b>Comparative analyses using DESeq2</b></a>
<ul>
<li><a href="#sec-3-1">3.1. Generate coverage tables for GATC motifs</a></li>
<li><a href="#sec-3-2">3.2. Begin use DESeq2</a></li>
<li><a href="#sec-3-3">3.3. <b>Wald Test 1</b>: polII occupied at GATC motif [Rmd lines 75 - 141]</a></li>
<li><a href="#sec-3-4">3.4. <b>Wald Test 2</b>: differences in polII occupancy between pairs of IR datasets [Rmd lines 166 - 374]</a></li>
<li><a href="#sec-3-5">3.5. Carry out additional analyses based on the DESeq output</a>
<ul>
<li><a href="#sec-3-5-1">3.5.1. for significant occupancy only (within a dataset, PolII:DAM vs DAM-alone): get the count of genes that are occupied based on the # of GATC fragments per gene.</a></li>
<li><a href="#sec-3-5-2">3.5.2. for significantly differentially occupied (from pair-wise Wald test): get the count of genes that are occupied based on the # of GATC fragments per gene</a></li>
<li><a href="#sec-3-5-3">3.5.3. plot some examples from the pairwise comparisons</a></li>
</ul>
</li>
<li><a href="#sec-3-6">3.6. <b>LRT test</b> [Rmd lines 405 - 541]</a>
<ul>
<li><a href="#sec-3-6-1">3.6.1. annotate the signifiant GATC fragments from the LRT</a></li>
<li><a href="#sec-3-6-2">3.6.2. output the set of unique genes that are diff. occupied, along with the fragments within them</a></li>
<li><a href="#sec-3-6-3">3.6.3. How many genes are differentially occupied across the full dataset of 7 IR populations?</a></li>
<li><a href="#sec-3-6-4">3.6.4. plot all of the raw read data for these significant genes</a></li>
<li><a href="#sec-3-6-5">3.6.5. make a bed file for the 1694 genes that are diff. occupied</a></li>
<li><a href="#sec-3-6-6">3.6.6. How many genes are differentially occupied within each of the 7 IR datsets?</a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<hr  />

<div id="outline-container-sec-1" class="outline-2">
<h2 id="sec-1"><span class="section-number-2">1</span> <b>Intro</b></h2>
<div class="outline-text-2" id="text-1">
<ul class="org-ul">
<li>There are two Rmd files assocaited with the workflow below, one for
dealing with the DamID pipeline (DamID_pipeline_analyses.Rmd) and
one for dealing with the same dataset, analyzing the data using read
count tables associated with the GATC motifs using DESeq2 (DESeq2_on_TaDa.Rmd). 
</li>

<li>The workflow below provides detailes of the steps of the analyses we
carried out that are not included in the Rmd files (for example,
intersecting with bedtools or running custom scripts for summarizing
output). All custom scirpts (along with this file and the Rmd files)
are available on gitlab <a href="https://gitlab.com/roman.arguello/ir-tada">gitlab</a>.
</li>
</ul>
</div>
</div>



<div id="outline-container-sec-2" class="outline-2">
<h2 id="sec-2"><span class="section-number-2">2</span> <b>DamID pipeline</b></h2>
<div class="outline-text-2" id="text-2">
</div><div id="outline-container-sec-2-1" class="outline-3">
<h3 id="sec-2-1"><span class="section-number-3">2.1</span> running the DamID pipeline</h3>
<div class="outline-text-3" id="text-2-1">
<ul class="org-ul">
<li>We have ran the damidseq.pipeline version 1.4 to caluclate  PolII
occupancy (occupancy scores) for genes within each IR dataset:
(<a href="https://github.com/owenjm/damidseq_pipeline">https://github.com/owenjm/damidseq_pipeline</a>).  
</li>

<li>We have used release 6 of Flybases D.melanogaster genome. The command line arguements to v1.4 of damidseq_pipeline.pl:
</li>
</ul>

<div class="org-src-container">

<pre class="src src-sh">perl ~/software/damidseq_pipeline-1.4/damidseq_pipeline --bowtie2_genome_dir=~/archive/genomes/dmel-all-chromosome-r6 --gatc_frag_file=~/software/damidseq_pipeline-1.4/Dmel_BDGP6.GATC.gff.gz 
--bowtie2_path=~/software/bowtie2-2.2.6/ --samtools_path=~/software/samtools-1.2/ --bedtools_path=~/software/bedtools2 --threads=6
</pre>
</pre>
</div>
</div>
</div>

<div id="outline-container-sec-2-2" class="outline-3">
<h3 id="sec-2-2"><span class="section-number-3">2.2</span> Correlation among replicates</h3>
<div class="outline-text-3" id="text-2-2">
<ul class="org-ul">
<li>We examined the correlation among replicates for each of the 7
populations. Overall, the average correlation was 0.85.
</li>

<li>To calculate and plot the correlations we used see the Rmd file.
The scipts use the *.bedgraph outputted files from the DamID
pipeline (above)
</li>
</ul>
</div>
</div>


<div id="outline-container-sec-2-3" class="outline-3">
<h3 id="sec-2-3"><span class="section-number-3">2.3</span> Population-averaged occupancy score for each of the seven datasets</h3>
<div class="outline-text-3" id="text-2-3">
<ul class="org-ul">
<li>Given the decent correlation between the triplicates, I we took the
average occupancy score and used these data moving forward. These
valuses were calculated with an R script such as the one in the
following example:
</li>
</ul>


<div class="org-src-container">

<pre class="src src-R">R1<span style="color: #008b8b;">&lt;-</span>read.table(<span style="color: #8b2252;">"TaDa_IR31a_R1/polII-vs-Dam.gatc.bedgraph"</span>,skip=1)
R2<span style="color: #008b8b;">&lt;-</span>read.table(<span style="color: #8b2252;">"TaDa_IR31a_R2/polII-vs-Dam.gatc.bedgraph"</span>,skip=1)
R3<span style="color: #008b8b;">&lt;-</span>read.table(<span style="color: #8b2252;">"TaDa_IR31a_R3/polII-vs-Dam.gatc.bedgraph"</span>,skip=1)

<span style="color: #b22222;"># </span><span style="color: #b22222;">get the occumpancy columns</span>
r1<span style="color: #008b8b;">&lt;-</span>as.numeric(as.vector(R1[,4]))
r2<span style="color: #008b8b;">&lt;-</span>as.numeric(as.vector(R2[,4]))
r3<span style="color: #008b8b;">&lt;-</span>as.numeric(as.vector(R3[,4]))

IR31a<span style="color: #008b8b;">&lt;-</span>cbind(r1,r2,r3)

IR31a.AVG<span style="color: #008b8b;">&lt;-</span>apply(IR31a,1,mean)


<span style="color: #b22222;"># </span><span style="color: #b22222;">make new gff matrix, and replace the occup. score w/ the mean across reps</span>
MeanOc<span style="color: #008b8b;">&lt;-</span>R1
MeanOc[,4]<span style="color: #008b8b;">&lt;-</span>IR31a.AVG


<span style="color: #b22222;"># </span><span style="color: #b22222;">write the file</span>
write.table(MeanOc,<span style="color: #8b2252;">"mean_occupancy_gff_files/TaDa_IR31a_MeanOcupancy_pollII-vs-Dam.gatc.bedgraph"</span>,sep=<span style="color: #8b2252;">"\t"</span>,quote=<span style="color: #228b22;">FALSE</span>,col.names = <span style="color: #228b22;">FALSE</span>,row.names=<span style="color: #228b22;">FALSE</span>)
</pre>
</pre>
</div>
</div>
</div>


<div id="outline-container-sec-2-4" class="outline-3">
<h3 id="sec-2-4"><span class="section-number-3">2.4</span> FDR for occupancy scores using the polii.gene.call</h3>
<div class="outline-text-3" id="text-2-4">
<ul class="org-ul">
<li>We used the 'polii.gene.call' utility that was also written by
Owen Marshall as part of the damseq_pipeline
(<a href="https://github.com/owenjm/polii.gene.call">https://github.com/owenjm/polii.gene.call</a>). I ran it using the following:
</li>
</ul>

<div class="org-src-container">

<pre class="src src-sh">Rscript /Volumes/TheSuperSpreader/TaDa2/polii.gene.call-master/polii.gene.call --genes.file=/Volumes/TheSuperSpreader/TaDa2/polii.gene.call-master/DmR6.genes.gff 
TaDa_IR75a_MeanOcupancy_pollII-vs-Dam.gatc.bedgraph TaDa_IR75b_MeanOcupancy_pollII-vs-Dam.gatc.bedgraph TaDa_IR84a_MeanOcupancy_pollII-vs-Dam.gatc.bedgraph 
TaDa_IR40a_MeanOcupancy_pollII-vs-Dam.gatc.bedgraph TaDa_IR64a_MeanOcupancy_pollII-vs-Dam.gatc.bedgraph TaDa_IR31a_MeanOcupancy_pollII-vs-Dam.gatc.bedgraph 
TaDa_IR75c_MeanOcupancy_pollII-vs-Dam.gatc.bedgraph
</pre>
</pre>
</div>
</div>
</div>


<div id="outline-container-sec-2-5" class="outline-3">
<h3 id="sec-2-5"><span class="section-number-3">2.5</span> Further analsyes and plots</h3>
<div class="outline-text-3" id="text-2-5">
<ul class="org-ul">
<li>Refer to DESeq2_on_TaDa.Rmd file with all the plotting scripts
</li>
</ul>



<hr  />
</div>
</div>
</div>


<div id="outline-container-sec-3" class="outline-2">
<h2 id="sec-3"><span class="section-number-2">3</span> <b>Comparative analyses using DESeq2</b></h2>
<div class="outline-text-2" id="text-3">
<ul class="org-ul">
<li>The idea with this is to focus on coverage data from DAM-alone and
polII:DAM datasets over the GATC motifs. This way we can treat the
data as having two factors: (1) a 'treatment' (DAM-alone vs. polII:DAM)
and (2) the population (the IR population).
</li>
</ul>



<ul class="org-ul">
<li>The full code is in the markdown file: "DESeq2_on_TaDa.Rmd"
<ul class="org-ul">
<li>Within this code, 3 main things are done:
<ol class="org-ol">
<li>test for occupancy at the GATC motif level (excess of PolII)
</li>
<li>run pair-wise Wald tests (21 comparisons)
</li>
<li>run a LRT on the full dataset (test for difference in
PolII:DAM/DAM-alone simultaneously over full dataset)
</li>
</ol>
</li>
</ul>
</li>
</ul>
</div>



<div id="outline-container-sec-3-1" class="outline-3">
<h3 id="sec-3-1"><span class="section-number-3">3.1</span> Generate coverage tables for GATC motifs</h3>
<div class="outline-text-3" id="text-3-1">
<ul class="org-ul">
<li>Converted the damid_pipeline bam files (that have been extended by
300bp) to bed files using bedtools (v2.18) "bamToBed".  I looped over
the directory containing each IR DAM-alone and DAM:polII dataset
using this script:
</li>
</ul>

<div class="org-src-container">

<pre class="src src-perl"><span style="color: #b22222;">#</span><span style="color: #b22222;">!/usr/bin/perl</span>

@<span style="color: #a0522d; text-decoration: underline;">dirs</span> = <span style="color: #8b2252;">`ls -d /TaDa/TaDa_IR*`</span>;


<span style="color: #a020f0;">foreach</span> $<span style="color: #a0522d;">d</span>(@<span style="color: #a0522d; text-decoration: underline;">dirs</span>) {

    chomp $<span style="color: #a0522d;">d</span>;
    <span style="color: #b22222;">#print $d, "\n";</span>
    @<span style="color: #a0522d; text-decoration: underline;">name</span> = split(<span style="color: #8b2252;">"/"</span>, $<span style="color: #a0522d;">d</span>);
    $<span style="color: #a0522d;">name</span> = $<span style="color: #a0522d;">name</span>[-1];
    print <span style="color: #8b2252;">"name: "</span>,  $<span style="color: #a0522d;">name</span>, <span style="color: #8b2252;">"\n"</span>;


    $<span style="color: #a0522d;">dambam</span> = $<span style="color: #a0522d;">d</span> .<span style="color: #8b2252;">'/'</span>. <span style="color: #8b2252;">"DAM*300*.bam"</span>;
    $<span style="color: #a0522d;">polbam</span> = $<span style="color: #a0522d;">d</span> .<span style="color: #8b2252;">'/'</span>. <span style="color: #8b2252;">"pol*300*.bam"</span>;

    print $<span style="color: #a0522d;">dambam</span>, <span style="color: #8b2252;">"\n"</span>;
    print $<span style="color: #a0522d;">polbam</span>, <span style="color: #8b2252;">"\n"</span>;

    $<span style="color: #a0522d;">DamBam</span> = <span style="color: #8b2252;">`ls $dambam`</span>;
    chomp $<span style="color: #a0522d;">DamBam</span>;
    print <span style="color: #8b2252;">"yo: "</span>, $<span style="color: #a0522d;">DamBam</span>, <span style="color: #8b2252;">"\n"</span>;

    $<span style="color: #a0522d;">PolBam</span> = <span style="color: #8b2252;">`ls $polbam`</span>;
    chomp $<span style="color: #a0522d;">PolBam</span>;
    print <span style="color: #8b2252;">"yo: "</span>, $<span style="color: #a0522d;">PolBam</span>, <span style="color: #8b2252;">"\n"</span>;

    <span style="color: #b22222;"># output files</span>
    $<span style="color: #a0522d;">DAMout</span> = $<span style="color: #a0522d;">DamBam</span>;
    $<span style="color: #a0522d;">DAMout</span> =~ s<span style="color: #8b2252;">/.bam/.bed/</span>;

    $<span style="color: #a0522d;">POLout</span> = $<span style="color: #a0522d;">PolBam</span>;
    $<span style="color: #a0522d;">POLout</span> =~ s<span style="color: #8b2252;">/.bam/.bed/</span>;

    $<span style="color: #a0522d;">BT_com1</span> = <span style="color: #8b2252;">"~/software/bedtools2/bin/bamToBed -i $DamBam &gt; $DAMout"</span>;
    $<span style="color: #a0522d;">BT_com2</span> = <span style="color: #8b2252;">"~/software/bedtools2/bin/bamToBed -i $PolBam &gt; $POLout"</span>;

    print $<span style="color: #a0522d;">BT_com1</span>, <span style="color: #8b2252;">"\n"</span>;
}
</pre>
</pre>
</div>

<ul class="org-ul">
<li>To get read coverage for the GATC fragments, I used bedtools' (v2.18)
"coverage" utility
</li>
</ul>

<div class="org-src-container">

<pre class="src src-perl"><span style="color: #b22222;">#</span><span style="color: #b22222;">!/usr/bin/perl</span>

@<span style="color: #a0522d; text-decoration: underline;">dirs</span> = <span style="color: #8b2252;">`ls -d /Volumes/TheSuperSpreader/Synced/TaDa/TaDa_IR*`</span>;



<span style="color: #a020f0;">foreach</span> $<span style="color: #a0522d;">d</span>(@<span style="color: #a0522d; text-decoration: underline;">dirs</span>) {

    chomp $<span style="color: #a0522d;">d</span>;
    <span style="color: #b22222;">#print $d, "\n";</span>
    @<span style="color: #a0522d; text-decoration: underline;">name</span> = split(<span style="color: #8b2252;">"/"</span>, $<span style="color: #a0522d;">d</span>);
    $<span style="color: #a0522d;">name</span> = $<span style="color: #a0522d;">name</span>[-1];
    print <span style="color: #8b2252;">"name: "</span>,  $<span style="color: #a0522d;">name</span>, <span style="color: #8b2252;">"\n"</span>;


    $<span style="color: #a0522d;">dambed</span> = $<span style="color: #a0522d;">d</span> .<span style="color: #8b2252;">'/'</span>. <span style="color: #8b2252;">"DAM*300*.bed"</span>;
    $<span style="color: #a0522d;">polbed</span> = $<span style="color: #a0522d;">d</span> .<span style="color: #8b2252;">'/'</span>. <span style="color: #8b2252;">"pol*300*.bed"</span>;

    print $<span style="color: #a0522d;">dambam</span>, <span style="color: #8b2252;">"\n"</span>;
    print $<span style="color: #a0522d;">polbam</span>, <span style="color: #8b2252;">"\n"</span>;

    $<span style="color: #a0522d;">DAMout</span> = $<span style="color: #a0522d;">dambed</span>;
    $<span style="color: #a0522d;">DAMout</span> =~ s<span style="color: #8b2252;">/.bed/_coverage.bed/</span>;

    $<span style="color: #a0522d;">POLout</span> = $<span style="color: #a0522d;">polbed</span>;
    $<span style="color: #a0522d;">POLout</span> =~ s<span style="color: #8b2252;">/.bed/_coverage.bed/</span>;

    $<span style="color: #a0522d;">BT_com1</span> = <span style="color: #8b2252;">"~/software/bedtools2/bin/bedtools coverage -a $dambed -b Dmel_BDGP6_GATC.bed &gt; $DAMout"</span>;
    $<span style="color: #a0522d;">BT_com2</span> = <span style="color: #8b2252;">"~/software/bedtools2/bin/bedtools coverage -a $polbam -b Dmel_BDGP6_GATC.bed &gt; $POLout"</span>;

    print $<span style="color: #a0522d;">BT_com1</span>, <span style="color: #8b2252;">"\n"</span>;
}
</pre>
</pre>
</div>
</div>
</div>



<div id="outline-container-sec-3-2" class="outline-3">
<h3 id="sec-3-2"><span class="section-number-3">3.2</span> Begin use DESeq2</h3>
<div class="outline-text-3" id="text-3-2">
<ul class="org-ul">
<li>The full code is in the markdown file: "DESeq2_on_TaDa.Rmd"
<ul class="org-ul">
<li>Within this code, 3 main things are done:
<ol class="org-ol">
<li>test for occupancy at the GATC motif level (excess of PolII)
</li>
<li>run pair-wise Wald tests (21 comparisons)
</li>
<li>run a LRT on the full dataset (test for difference in
PolII:DAM/DAM-alone simultaneously over full dataset)
</li>
</ol>
</li>
</ul>
</li>
</ul>
</div>
</div>



<div id="outline-container-sec-3-3" class="outline-3">
<h3 id="sec-3-3"><span class="section-number-3">3.3</span> <b>Wald Test 1</b>: polII occupied at GATC motif [Rmd lines 75 - 141]</h3>
<div class="outline-text-3" id="text-3-3">
<ul class="org-ul">
<li>Resulting files from this part R scripts will be TopHits.*.txt files
that contain the DESeq output for a test between DAM-alone
vs. PolII:DAM.
</li>

<li>Make bed files from the above TopHits.*.txt files
</li>
</ul>

<div class="org-src-container">

<pre class="src src-sh">sed $<span style="color: #8b2252;">'s/_/\t/g'</span> TopHits.31a.txt &gt; TopHits.31a.bed
sed $<span style="color: #8b2252;">'s/_/\t/g'</span> TopHits.40a.txt &gt; TopHits.40a.bed
sed $<span style="color: #8b2252;">'s/_/\t/g'</span> TopHits.64a.txt &gt; TopHits.64a.bed
sed $<span style="color: #8b2252;">'s/_/\t/g'</span> TopHits.75a.txt &gt; TopHits.85a.bed
sed $<span style="color: #8b2252;">'s/_/\t/g'</span> TopHits.75b.txt &gt; TopHits.75b.bed
sed $<span style="color: #8b2252;">'s/_/\t/g'</span> TopHits.75c.txt &gt; TopHits.75c.bed
sed $<span style="color: #8b2252;">'s/_/\t/g'</span> TopHits.84a.txt &gt; TopHits.84a.bed
</pre>
</pre>
</div>

<ul class="org-ul">
<li>manually remove the header of the above bed files
</li>

<li>Now annotate the GATC motifs w/respect to genes (using bedtools (v2):
</li>
</ul>


<div class="org-src-container">

<pre class="src src-sh">~/software/bedtools2/bin/intersectBed -a DmR6.genes.bed -b TopHits.31a.bed -wo &gt; TopHits.31a.annotated.bed
~/software/bedtools2/bin/intersectBed -a DmR6.genes.bed -b TopHits.40a.bed -wo &gt; TopHits.40a.annotated.bed
~/software/bedtools2/bin/intersectBed -a DmR6.genes.bed -b TopHits.64a.bed -wo &gt; TopHits.64a.annotated.bed
~/software/bedtools2/bin/intersectBed -a DmR6.genes.bed -b TopHits.75a.bed -wo &gt; TopHits.75a.annotated.bed
~/software/bedtools2/bin/intersectBed -a DmR6.genes.bed -b TopHits.75b.bed -wo &gt; TopHits.75b.annotated.bed
~/software/bedtools2/bin/intersectBed -a DmR6.genes.bed -b TopHits.75c.bed -wo &gt; TopHits.75c.annotated.bed
~/software/bedtools2/bin/intersectBed -a DmR6.genes.bed -b TopHits.84a.bed -wo &gt; TopHits.84a.annotated.bed
</pre>
</pre>
</div>

<ul class="org-ul">
<li>These "TopHits" genes are the GATC fragments that are "PolII occupied"
</li>
</ul>
</div>
</div>


<div id="outline-container-sec-3-4" class="outline-3">
<h3 id="sec-3-4"><span class="section-number-3">3.4</span> <b>Wald Test 2</b>: differences in polII occupancy between pairs of IR datasets [Rmd lines 166 - 374]</h3>
<div class="outline-text-3" id="text-3-4">
<ul class="org-ul">
<li>Resulting files from this part R scripts will be TopHits.IRX.IRY.bed files
that contain the DESeq output for a test between PolII:Dam/DAM-alone
ratios between two IR datasets. We are only intersted in those cases
where a differences arises where at least one of the GATC motifs has
a positive PolII:DAM/DAM-alone ratio (i.e we are not interested in
any difference between GATC motifs where both are NOT polII occupied).
</li>
</ul>


<ul class="org-ul">
<li>annotate the fragments from the 21 pair-wise comparisons (via Wald test):
</li>
</ul>

<div class="org-src-container">

<pre class="src src-sh">~/software/bedtools2/bin/intersectBed -a DmR6.genes.bed -b TopHits.IR75c.IR84a.bed -wo &gt; TopHits.IR75c.IR84a.annotated.bed
~/software/bedtools2/bin/intersectBed -a DmR6.genes.bed -b TopHits.IR75b.IR84a.bed -wo &gt; TopHits.IR75b.IR84a.annotated.bed
~/software/bedtools2/bin/intersectBed -a DmR6.genes.bed -b TopHits.IR75b.IR75c.bed -wo &gt; TopHits.IR75b.IR75c.annotated.bed
~/software/bedtools2/bin/intersectBed -a DmR6.genes.bed -b TopHits.IR75a.IR84a.bed -wo &gt; TopHits.IR75a.IR84a.annotated.bed
~/software/bedtools2/bin/intersectBed -a DmR6.genes.bed -b TopHits.IR75a.IR75c.bed -wo &gt; TopHits.IR75a.IR75c.annotated.bed
~/software/bedtools2/bin/intersectBed -a DmR6.genes.bed -b TopHits.IR75a.IR75b.bed -wo &gt; TopHits.IR75a.IR75b.annotated.bed
~/software/bedtools2/bin/intersectBed -a DmR6.genes.bed -b TopHits.IR64a.IR84a.bed -wo &gt; TopHits.IR64a.IR84a.annotated.bed
~/software/bedtools2/bin/intersectBed -a DmR6.genes.bed -b TopHits.IR64a.IR75c.bed -wo &gt; TopHits.IR64a.IR75c.annotated.bed
~/software/bedtools2/bin/intersectBed -a DmR6.genes.bed -b TopHits.IR64a.IR75b.bed -wo &gt; TopHits.IR64a.IR75b.annotated.bed
~/software/bedtools2/bin/intersectBed -a DmR6.genes.bed -b TopHits.IR64a.IR75a.bed -wo &gt; TopHits.IR64a.IR75a.annotated.bed
~/software/bedtools2/bin/intersectBed -a DmR6.genes.bed -b TopHits.IR40a.IR84a.bed -wo &gt; TopHits.IR40a.IR84a.annotated.bed
~/software/bedtools2/bin/intersectBed -a DmR6.genes.bed -b TopHits.IR40a.IR75c.bed -wo &gt; TopHits.IR40a.IR75c.annotated.bed
~/software/bedtools2/bin/intersectBed -a DmR6.genes.bed -b TopHits.IR40a.IR75b.bed -wo &gt; TopHits.IR40a.IR75b.annotated.bed
~/software/bedtools2/bin/intersectBed -a DmR6.genes.bed -b TopHits.IR40a.IR75a.bed -wo &gt; TopHits.IR40a.IR75a.annotated.bed
~/software/bedtools2/bin/intersectBed -a DmR6.genes.bed -b TopHits.IR40a.IR64a.bed -wo &gt; TopHits.IR40a.IR64a.annotated.bed
~/software/bedtools2/bin/intersectBed -a DmR6.genes.bed -b TopHits.IR31a.IR84a.bed -wo &gt; TopHits.IR31a.IR84a.annotated.bed
~/software/bedtools2/bin/intersectBed -a DmR6.genes.bed -b TopHits.IR31a.IR75c.bed -wo &gt; TopHits.IR31a.IR75c.annotated.bed
~/software/bedtools2/bin/intersectBed -a DmR6.genes.bed -b TopHits.IR31a.IR75b.bed -wo &gt; TopHits.IR31a.IR75b.annotated.bed
~/software/bedtools2/bin/intersectBed -a DmR6.genes.bed -b TopHits.IR31a.IR75a.bed -wo &gt; TopHits.IR31a.IR75a.annotated.bed
~/software/bedtools2/bin/intersectBed -a DmR6.genes.bed -b TopHits.IR31a.IR64a.bed -wo &gt; TopHits.IR31a.IR64a.annotated.bed
~/software/bedtools2/bin/intersectBed -a DmR6.genes.bed -b TopHits.IR31a.IR40a.bed -wo &gt; TopHits.IR31a.IR40a.annotated.bed
</pre>
</pre>
</div>
</div>
</div>


<div id="outline-container-sec-3-5" class="outline-3">
<h3 id="sec-3-5"><span class="section-number-3">3.5</span> Carry out additional analyses based on the DESeq output</h3>
<div class="outline-text-3" id="text-3-5">
</div><div id="outline-container-sec-3-5-1" class="outline-4">
<h4 id="sec-3-5-1"><span class="section-number-4">3.5.1</span> for significant occupancy only (within a dataset, PolII:DAM vs DAM-alone): get the count of genes that are occupied based on the # of GATC fragments per gene.</h4>
<div class="outline-text-4" id="text-3-5-1">
<ul class="org-ul">
<li>for our paper we required &gt;= 2 fragments per gene ("-p 2" for the
python script below)
</li>
</ul>

<div class="org-src-container">

<pre class="src src-py">clear; python uniq_OS_genes_within.py -f TopHits.31a.annotated.bed -p 2 -o1 IR31a_TopHits_GATC_count.txt -o2 IR31a_TopHits_GATC_frags.bed
clear; python uniq_OS_genes_within.py -f TopHits.40a.annotated.bed -p 2 -o1 IR40a_TopHits_GATC_count.txt -o2 IR40a_TopHits_GATC_frags.bed
clear; python uniq_OS_genes_within.py -f TopHits.64a.annotated.bed -p 2 -o1 IR64a_TopHits_GATC_count.txt -o2 IR64a_TopHits_GATC_frags.bed
clear; python uniq_OS_genes_within.py -f TopHits.75a.annotated.bed -p 2 -o1 IR75a_TopHits_GATC_count.txt -o2 IR75a_TopHits_GATC_frags.bed
clear; python uniq_OS_genes_within.py -f TopHits.75b.annotated.bed -p 2 -o1 IR75b_TopHits_GATC_count.txt -o2 IR75b_TopHits_GATC_frags.bed
clear; python uniq_OS_genes_within.py -f TopHits.75c.annotated.bed -p 2 -o1 IR75c_TopHits_GATC_count.txt -o2 IR75c_TopHits_GATC_frags.bed
clear; python uniq_OS_genes_within.py -f TopHits.84a.annotated.bed -p 2 -o1 IR84a_TopHits_GATC_count.txt -o2 IR84a_TopHits_GATC_frags.bed
</pre>
</div>

<ul class="org-ul">
<li>summary of the number of genes that were identified as PolII
occupied by this approach:
</li>
</ul>

<table border="2" cellspacing="0" cellpadding="6" rules="groups" frame="hsides">


<colgroup>
<col  class="left" />

<col  class="right" />
</colgroup>
<thead>
<tr>
<th scope="col" class="left">data set</th>
<th scope="col" class="right"># of genes</th>
</tr>
</thead>
<tbody>
<tr>
<td class="left">TopHits.31a.annotated.bed</td>
<td class="right">4214</td>
</tr>

<tr>
<td class="left">TopHits.40a.annotated.bed</td>
<td class="right">1552</td>
</tr>

<tr>
<td class="left">TopHits.64a.annotated.bed</td>
<td class="right">3596</td>
</tr>

<tr>
<td class="left">TopHits.75a.annotated.bed</td>
<td class="right">5234</td>
</tr>

<tr>
<td class="left">TopHits.75b.annotated.bed</td>
<td class="right">5644</td>
</tr>

<tr>
<td class="left">TopHits.75c.annotated.bed</td>
<td class="right">5479</td>
</tr>

<tr>
<td class="left">TopHits.84a.annotated.bed</td>
<td class="right">6001</td>
</tr>
</tbody>
</table>
</div>
</div>



<div id="outline-container-sec-3-5-2" class="outline-4">
<h4 id="sec-3-5-2"><span class="section-number-4">3.5.2</span> for significantly differentially occupied (from pair-wise Wald test): get the count of genes that are occupied based on the # of GATC fragments per gene</h4>
<div class="outline-text-4" id="text-3-5-2">
<ul class="org-ul">
<li>using the output of DESeq2 (in the DESeq2_on_TaDa.Rmd file)
</li>
<li>we are again requireing there to be &gt;= 2 GATC motifs per gene
</li>
</ul>

<div class="org-src-container">

<pre class="src src-py">for IR31a
clear; python uniq_OS_genes_pairwise.py -f TopHits.IR31a.IR40a.annotated.bed -p 2 -o1 TopHits.IR31a.IR40a_GATC_count.txt -o2 TopHits.IR31a.IR40a_GATC_frags.bed &gt; IR31a.IR40a.sum.txt
clear; python uniq_OS_genes_pairwise.py -f TopHits.IR31a.IR64a.annotated.bed -p 2 -o1 TopHits.IR31a.IR64a_GATC_count.txt -o2 TopHits.IR31a.IR64a_GATC_frags.bed &gt; IR31a.IR64a.sum.txt
clear; python uniq_OS_genes_pairwise.py -f TopHits.IR31a.IR75a.annotated.bed -p 2 -o1 TopHits.IR31a.IR75a_GATC_count.txt -o2 TopHits.IR31a.IR75a_GATC_frags.bed &gt; IR31a.IR75a.sum.txt
clear; python uniq_OS_genes_pairwise.py -f TopHits.IR31a.IR75b.annotated.bed -p 2 -o1 TopHits.IR31a.IR75b_GATC_count.txt -o2 TopHits.IR31a.IR75b_GATC_frags.bed &gt; IR31a.IR75b.sum.txt
clear; python uniq_OS_genes_pairwise.py -f TopHits.IR31a.IR75c.annotated.bed -p 2 -o1 TopHits.IR31a.IR75c_GATC_count.txt -o2 TopHits.IR31a.IR75c_GATC_frags.bed &gt; IR31a.IR75c.sum.txt
clear; python uniq_OS_genes_pairwise.py -f TopHits.IR31a.IR84a.annotated.bed -p 2 -o1 TopHits.IR31a.IR84a_GATC_count.txt -o2 TopHits.IR31a.IR84a_GATC_frags.bed &gt; IR31a.IR84a.sum.txt


# for IR40a
clear; python uniq_OS_genes_pairwise.py -f TopHits.IR40a.IR64a.annotated.bed -p 2 -o1 TopHits.IR40a.IR64a_GATC_count.txt -o2 TopHits.IR40a.IR64a_GATC_frags.bed &gt; IR40a.IR64a.sum.txt
clear; python uniq_OS_genes_pairwise.py -f TopHits.IR40a.IR75a.annotated.bed -p 2 -o1 TopHits.IR40a.IR75a_GATC_count.txt -o2 TopHits.IR40a.IR75a_GATC_frags.bed &gt; IR40a.IR75a.sum.txt
clear; python uniq_OS_genes_pairwise.py -f TopHits.IR40a.IR75b.annotated.bed -p 2 -o1 TopHits.IR40a.IR75b_GATC_count.txt -o2 TopHits.IR40a.IR75b_GATC_frags.bed &gt; IR40a.IR75b.sum.txt
clear; python uniq_OS_genes_pairwise.py -f TopHits.IR40a.IR75c.annotated.bed -p 2 -o1 TopHits.IR40a.IR75c_GATC_count.txt -o2 TopHits.IR40a.IR75c_GATC_frags.bed &gt; IR40a.IR75c.sum.txt
clear; python uniq_OS_genes_pairwise.py -f TopHits.IR40a.IR84a.annotated.bed -p 2 -o1 TopHits.IR40a.IR84a_GATC_count.txt -o2 TopHits.IR40a.IR84a_GATC_frags.bed &gt; IR40a.IR84a.sum.txt


# for IR64a
clear; python uniq_OS_genes_pairwise.py -f TopHits.IR64a.IR75a.annotated.bed -p 2 -o1 TopHits.IR64a.IR75a_GATC_count.txt -o2 TopHits.IR64a.IR75a_GATC_frags.bed &gt; IR64a.IR75a.sum.txt
clear; python uniq_OS_genes_pairwise.py -f TopHits.IR64a.IR75b.annotated.bed -p 2 -o1 TopHits.IR64a.IR75b_GATC_count.txt -o2 TopHits.IR64a.IR75b_GATC_frags.bed &gt; IR64a.IR75b.sum.txt
clear; python uniq_OS_genes_pairwise.py -f TopHits.IR64a.IR75c.annotated.bed -p 2 -o1 TopHits.IR64a.IR75c_GATC_count.txt -o2 TopHits.IR64a.IR75c_GATC_frags.bed &gt; IR64a.IR75c.sum.txt
clear; python uniq_OS_genes_pairwise.py -f TopHits.IR64a.IR84a.annotated.bed -p 2 -o1 TopHits.IR64a.IR84a_GATC_count.txt -o2 TopHits.IR64a.IR84a_GATC_frags.bed &gt; IR64a.IR84a.sum.txt



# for IR75a
clear; python uniq_OS_genes_pairwise.py -f TopHits.IR75a.IR75b.annotated.bed -p 2 -o1 TopHits.IR75a.IR75b_GATC_count.txt -o2 TopHits.IR75a.IR75b_GATC_frags.bed &gt; IR75a.IR75b.sum.txt
clear; python uniq_OS_genes_pairwise.py -f TopHits.IR75a.IR75c.annotated.bed -p 2 -o1 TopHits.IR75a.IR75c_GATC_count.txt -o2 TopHits.IR75a.IR75c_GATC_frags.bed &gt; IR75a.IR75c.sum.txt
clear; python uniq_OS_genes_pairwise.py -f TopHits.IR75a.IR84a.annotated.bed -p 2 -o1 TopHits.IR75a.IR84a_GATC_count.txt -o2 TopHits.IR75a.IR84a_GATC_frags.bed &gt; IR75a.IR84a.sum.txt


# for IR75b
clear; python uniq_OS_genes_pairwise.py -f TopHits.IR75b.IR75c.annotated.bed -p 2 -o1 TopHits.IR75b.IR75c_GATC_count.txt -o2 TopHits.IR75b.IR75c_GATC_frags.bed &gt; IR75b.IR75c.sum.txt
clear; python uniq_OS_genes_pairwise.py -f TopHits.IR75b.IR84a.annotated.bed -p 2 -o1 TopHits.IR75b.IR84a_GATC_count.txt -o2 TopHits.IR75b.IR84a_GATC_frags.bed &gt; IR75b.IR84a.sum.txt


# for IR75c
clear; python uniq_OS_genes_pairwise.py -f TopHits.IR75c.IR84a.annotated.bed -p 2 -o1 TopHits.IR75c.IR84a_GATC_count.txt -o2 TopHits.IR75c.IR84a_GATC_frags.bed &gt; IR75c.IR84a.sum.txt
</pre>
</div>
</div>
</div>


<div id="outline-container-sec-3-5-3" class="outline-4">
<h4 id="sec-3-5-3"><span class="section-number-4">3.5.3</span> plot some examples from the pairwise comparisons</h4>
<div class="outline-text-4" id="text-3-5-3">
<ul class="org-ul">
<li>This is done in the DESeq2_on_TaDa.Rmd file
</li>
</ul>



<hr  />
</div>
</div>
</div>
<div id="outline-container-sec-3-6" class="outline-3">
<h3 id="sec-3-6"><span class="section-number-3">3.6</span> <b>LRT test</b> [Rmd lines 405 - 541]</h3>
<div class="outline-text-3" id="text-3-6">
<ul class="org-ul">
<li>The two 'final files' from this part of the Rmd code and scripts below will contain the
candidate gene list ("Results.LRT.Candidate.Gene.List.txt") and the
GATC motifs that went into defining the candidate genes
(Results.LRT.Candidate.GATC.List.txt""). These GATC motifs are significant from the LRT AND found to be
significantly occupied by polII-Dam (i.e. they will be present in at
least one of the "TopHits.*.txt" files, above).
</li>
</ul>
</div>



<div id="outline-container-sec-3-6-1" class="outline-4">
<h4 id="sec-3-6-1"><span class="section-number-4">3.6.1</span> annotate the signifiant GATC fragments from the LRT</h4>
<div class="outline-text-4" id="text-3-6-1">
<div class="org-src-container">

<pre class="src src-sh">~/software/bedtools2/bin/intersectBed -a Results.Condeffect.bed -b DmR6.genes.bed -wo &gt; Results.Condeffect.Annotated.bed
</pre>
</pre>
</div>
</div>
</div>

<div id="outline-container-sec-3-6-2" class="outline-4">
<h4 id="sec-3-6-2"><span class="section-number-4">3.6.2</span> output the set of unique genes that are diff. occupied, along with the fragments within them</h4>
<div class="outline-text-4" id="text-3-6-2">
<div class="org-src-container">

<pre class="src src-sh">clear; python uniq_OS_genes_LRT.py -f Results.Condeffect.Annotated.bed -p 2 -o1 Results.Condeffect.Annotated.bed_GATC_count.txt -o2  Results.Condeffect.Annotated_GATC_frags.txt

--------------
- input file:  Results.Condeffect.Annotated.bed
- output file1:  Results.Condeffect.Annotated.bed_GATC_count.txt
- putput file2:  Results.Condeffect.Annotated_GATC_frags.txt
- total GATC frags:  9591
- unique genes:  3244
- uniq. genes w/ &gt; 2  GATC frags. = 1697
--------------
</pre>
</pre>
</div>
</div>
</div>





<div id="outline-container-sec-3-6-3" class="outline-4">
<h4 id="sec-3-6-3"><span class="section-number-4">3.6.3</span> How many genes are differentially occupied across the full dataset of 7 IR populations?</h4>
<div class="outline-text-4" id="text-3-6-3">
<ul class="org-ul">
<li>Because we are considering candidates as those that have &gt;= 2 GATC
fragments that are significantly occupied, we wanted to remove any
candidate gene that popped out of the LRT, but that might have
variation across datasets that is not in the same direction w/in the
same gene (i.e. up in one IR dataset and down in the other).
</li>

<li>Wel pull out the genes from the LRT and then check that that there are &gt;= 2 GATC
fragments w/in the same gene that have positive occupancy.  
</li>

<li>Nearly all are in the same direction:  only 3 genes that contain &gt;=2
GATC fragments that differ.
</li>

<li>The final list of genes is in
"Results.Condeffect.Candidate.List.txt" file with "TRUE" in the
second column
</li>

<li>The total number = 1697-3 = 1694
</li>
</ul>
</div>
</div>


<div id="outline-container-sec-3-6-4" class="outline-4">
<h4 id="sec-3-6-4"><span class="section-number-4">3.6.4</span> plot all of the raw read data for these significant genes</h4>
<div class="outline-text-4" id="text-3-6-4">
<ul class="org-ul">
<li>to do this run the "plot_all_genes_LRT.R" script (1697 plots
outputted - careful)
</li>
</ul>
</div>
</div>



<div id="outline-container-sec-3-6-5" class="outline-4">
<h4 id="sec-3-6-5"><span class="section-number-4">3.6.5</span> make a bed file for the 1694 genes that are diff. occupied</h4>
<div class="outline-text-4" id="text-3-6-5">
<ul class="org-ul">
<li>subset the Results.Condeffect.Annotated_GATC_frags.txt file to only
include the 1694 diff. occupied genes w/ in the Rmd
</li>
</ul>




<ul class="org-ul">
<li>for the IRs the number of GATC fragments within each of the IR
datasets are (just counting those that are in the
Results.LRT.Candidate.GATC.List.txt file): 
</li>
</ul>

<table border="2" cellspacing="0" cellpadding="6" rules="groups" frame="hsides">


<colgroup>
<col  class="left" />

<col  class="right" />
</colgroup>
<thead>
<tr>
<th scope="col" class="left">IR</th>
<th scope="col" class="right"># of GATC fragments</th>
</tr>
</thead>
<tbody>
<tr>
<td class="left">31a</td>
<td class="right">3</td>
</tr>

<tr>
<td class="left">40a</td>
<td class="right">29</td>
</tr>

<tr>
<td class="left">64a</td>
<td class="right">6</td>
</tr>

<tr>
<td class="left">75a</td>
<td class="right">5</td>
</tr>

<tr>
<td class="left">75b</td>
<td class="right">7</td>
</tr>

<tr>
<td class="left">75c</td>
<td class="right">5</td>
</tr>

<tr>
<td class="left">84a</td>
<td class="right">3</td>
</tr>
</tbody>
</table>
</div>
</div>





<div id="outline-container-sec-3-6-6" class="outline-4">
<h4 id="sec-3-6-6"><span class="section-number-4">3.6.6</span> How many genes are differentially occupied within each of the 7 IR datsets?</h4>
<div class="outline-text-4" id="text-3-6-6">
<ul class="org-ul">
<li>Among the GATC fragments that are identified as differentially
occupied (via the LRT), which of them have significantly occupied
GATC fragments within each of the 7 datasets. First I use bedtools to get out
the overlap between the significantly occupied GATC frgaments
(TopHits.X.bed file) and the sig. diff. occuipied GATC fragments:
</li>
</ul>

<div class="org-src-container">

<pre class="src src-sh">intersectBed -a Results.LRT.Candidate.GATC.List.txt -b TopHits.75a.bed -wo &gt; Frag.Occ.LRT.Annotated.75a.bed
intersectBed -a Results.LRT.Candidate.GATC.List.txt -b TopHits.31a.bed -wo &gt; Frag.Occ.LRT.Annotated.31a.bed
intersectBed -a Results.LRT.Candidate.GATC.List.txt -b TopHits.64a.bed -wo &gt; Frag.Occ.LRT.Annotated.64a.bed
intersectBed -a Results.LRT.Candidate.GATC.List.txt -b TopHits.75b.bed -wo &gt; Frag.Occ.LRT.Annotated.75b.bed
intersectBed -a Results.LRT.Candidate.GATC.List.txt -b TopHits.75c.bed -wo &gt; Frag.Occ.LRT.Annotated.75c.bed
intersectBed -a Results.LRT.Candidate.GATC.List.txt -b TopHits.84a.bed -wo &gt; Frag.Occ.LRT.Annotated.84a.bed
intersectBed -a Results.LRT.Candidate.GATC.List.txt -b TopHits.40a.bed -wo &gt; Frag.Occ.LRT.Annotated.40a.bed
</pre>
</pre>
</div>



<ul class="org-ul">
<li>Each of the Frag.Occ.LRT.Annotated.*.bed files are annotated
GATC fragments within the given IR dataset that is 1) polII occupied in
that given IR dataset and 2) varies across the set of 7 IR datasets
</li>

<li>Next I use this python script that will only collect the genes with &gt;=
2 GATC fragments (or other choice for GATC number). it will also generate a new bed file w/ only those
peaks that are both sig. occupied and sig. diff. occupied within
each IR dataset. For our paper we require &gt;= 2 GATC motifs per gene
("-p 2).
</li>
</ul>

<div class="org-src-container">

<pre class="src src-py">clear; python uniq_OS_genes.py -f Frag.Occ.LRT.Annotated.31a.bed -p 2 -o1 IR31a_LRT_GATC_count.txt -o2 IR31a_LRT_GATC_frags.bed
clear; python uniq_OS_genes.py -f Frag.Occ.LRT.Annotated.40a.bed -p 2 -o1 IR40a_LRT_GATC_count.txt -o2 IR40a_LRT_GATC_frags.bed
clear; python uniq_OS_genes.py -f Frag.Occ.LRT.Annotated.64a.bed -p 2 -o1 IR64a_LRT_GATC_count.txt -o2 IR64a_LRT_GATC_frags.bed
clear; python uniq_OS_genes.py -f Frag.Occ.LRT.Annotated.75a.bed -p 2 -o1 IR75a_LRT_GATC_count.txt -o2 IR75a_LRT_GATC_frags.bed
clear; python uniq_OS_genes.py -f Frag.Occ.LRT.Annotated.75b.bed -p 2 -o1 IR75b_LRT_GATC_count.txt -o2 IR75b_LRT_GATC_frags.bed
clear; python uniq_OS_genes.py -f Frag.Occ.LRT.Annotated.75c.bed -p 2 -o1 IR75c_LRT_GATC_count.txt -o2 IR75c_LRT_GATC_frags.bed
clear; python uniq_OS_genes.py -f Frag.Occ.LRT.Annotated.84a.bed -p 2 -o1 IR84a_LRT_GATC_count.txt -o2 IR84a_LRT_GATC_frags.bed
</pre>
</div>


<ul class="org-ul">
<li>these are the stats on the files w/ GATC frag &gt;= 2:
</li>
</ul>

<pre class="example">
</pre>
</div>
</div>
</div>
</div>
</div>
<div id="postamble" class="status">
<p class="date">Date: Updated: 2020-03-10 Tue 17:24</p>
<p class="author">Author: J. Roman Arguello</p>
<p class="date">Created: 2020-03-10 Tue 17:24</p>
<p class="creator"><a href="http://www.gnu.org/software/emacs/">Emacs</a> 25.1.1 (<a href="http://orgmode.org">Org</a> mode 8.2.10)</p>
<p class="validation"><a href="http://validator.w3.org/check?uri=referer">Validate</a></p>
</div>
</body>
</html>